@charset "UTF-8";

/* generell:
Das Menue wird als Liste erzeugt.
Somit entsprechen die ul-Elemente dem Elternmenue und die ul-li-Elemente den einzelnen Eintraegen.
Die ul-ul-Elemente entsprechen dem Submenue und die ul-ul-li Elemente den dazugehoerigen Eintraegen.
*/

#navmenu ul {           /* Menue-Eigenschaften: */
  list-style: none;     /* keine Aufzaehlungszeichen */
  margin: 0;            /* Aussenabstand */
  padding: 0;           /* Innenabstand */
  width: 100%;          /* relative Breite */
}

#navmenu ul ul {        /* Submenue-Eigenschaften: */
  visibility: hidden;   /* versteckt (bis Mouseover) */
  position: absolute;   /* Position von Textfluss losgeloest: */
  top: 1px;             /* vertikaler Offset zu Eltern-Menue */
  left: 97%;            /* relativer horizontaler Offset zu Eltern-Menue (100% heisst: buendig an Eltern-Menue */
  z-index: 100;         /* Darstellung im Vordergrund (vor Eltern-Menue und anderen Inhalten) */
  box-shadow: 2px 2px 16px 0px rgba(0,0,0,0.7); /* Schlagschatten */
  width: 70%;         /* Breite */
  border: 1px solid #333333;  /* Gesamtrahmen (Dicke und Farbe) */
}

#navmenu ul li:hover ul { /* Submenue-Eigenschaften bei Mouseover: */
  visibility: visible;  /* nicht mehr versteckt */
}

#navmenu {              /* Eigenschaften fuer alle Menue-Ebenen: */
  font-family: Verdana, Arial, sans-serif; /* Fontstack (Fonts und Alternativen) */
  font-size: large;     /* relative Schriftgroesse */
  text-align: left;     /* linksbuendig */
}

#navmenu a {            /* Menue-Eigenschaften der einzelnen Listenelemente: */
  display: block;       /* Darstellung als zusammenhaengender Block */
  padding: 15px 20px;   /* Innenabstaende */
  color: black;         /* Schriftfarbe */
  text-decoration: none;  /* keine Unterstreichungen und andere Dekorationen */
  background: white;    /* Hintergrundfarbe */
}

#navmenu  ul li:hover a { /* Menue-Eigenschaften bei Mouseover (bzw. bei Mousover von Subnelement: */
  background: #d8d8d8;  /* Hintergrundfarbe */
}

#navmenu ul li {        /* Menue-Eigenschaften: */
  position: relative;   /* relativer Bezugspunkt fuer die Kindelemente (also Submenu-Elemente) */
}

#navmenu ul li.has-sub > a:after { /* Anfuegung an Menue-Content bei Elementen der Klasse 'has-sub' */
  content: '>';         /* Anfuegen eines Symbols (zeigt, dass Submenue vorhanden ist) */
  position: absolute;   /* absoluter Bezugspunkt zu Menue-Element */
  bottom: 30%;          /* vertikaler Offset von unten */
  right: 15px;          /* horizontaler Offset von rechts */
}

#navmenu ul ul li {     /* Submenue-Eigenschaften (der einzelnen Elemente): */
  border-bottom: 1px solid #333333; /* unterer Rahmen (Dicke und Farbe) */
}

#navmenu ul ul li:last-child {     /* Submenue-Eigenschaft (des letzten Elements): */
  border-bottom: 0; /* kein unterer Rahmen (weil bereits Gesamtrahmen gegeben ist) */
}

#navmenu ul ul a {      /* Submenue-Eigenschaften */
  font-size: medium;    /* absolute Schriftgroesse */
}

#navmenu ul ul li:hover > a { /* Submenue-Eigenschaften bei Mouseover:*/
  background: white;    /* Hintergrundfarbe */
}

#navmenu ul li:first-child a {     /* Eigenschaften des ersten Menue-Elements */
    border-radius: 15px 15px 0 0;  /* abgerundete Ecken oben */
}

#navmenu ul li:last-child a {      /* Eigenschaften des letzten Menue-Elements */
    border-radius: 0 0 15px 15px;  /* abgerundete Ecken unten */
}

#navmenu ul li ul li:first-child a,  /* Eigenschaften des ersten... */
#navmenu ul li ul li:last-child a {  /* ... und letzten Submenue-Elements */
    border-radius: 0 0 0 0;          /* keine abgerundeten Ecken */
}
